diff --git a/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornAuroch.java b/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornAuroch.java
index ab03624..dc0b76b 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornAuroch.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornAuroch.java
@@ -8,7 +8,7 @@ import net.minecraft.entity.Entity;
 import net.minecraft.util.ResourceLocation;
 
 import com.zivilon.cinder_loe.client.model.ModelFangornAuroch;
-import com.zivilon.cinder_loe.entity.FangornAuroch;
+import com.zivilon.cinder_loe.entity.npc.FangornAuroch;
 
 public class RenderFangornAuroch extends RenderLiving {
   public static LOTRRandomSkins aurochsSkins;
diff --git a/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornBear.java b/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornBear.java
index 8876ae0..12d0daa 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornBear.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornBear.java
@@ -1,11 +1,10 @@
 package com.zivilon.cinder_loe.client.render;
 
-import com.zivilon.cinder_loe.entity.FangornBear;
+import com.zivilon.cinder_loe.entity.npc.FangornBear;
 
 import java.util.HashMap;
 import java.util.Map;
 import lotr.client.model.LOTRModelBear;
-import lotr.client.render.entity.LOTRRenderBear;
 import lotr.common.entity.animal.LOTREntityBear;
 import net.minecraft.client.model.ModelBase;
 import net.minecraft.client.renderer.entity.RenderLiving;
diff --git a/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornElk.java b/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornElk.java
index 16f3ced..f7d3824 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornElk.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornElk.java
@@ -2,16 +2,13 @@ package com.zivilon.cinder_loe.client.render;
 
 import lotr.common.entity.LOTRRandomSkinEntity;
 import lotr.client.render.entity.LOTRRandomSkins;
-import lotr.common.entity.animal.LOTREntityElk;
-import lotr.common.entity.npc.LOTRNPCMount;
 import net.minecraft.client.model.ModelBase;
 import net.minecraft.client.renderer.entity.RenderLiving;
 import net.minecraft.entity.Entity;
-import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.util.ResourceLocation;
 
 import com.zivilon.cinder_loe.client.model.ModelFangornElk;
-import com.zivilon.cinder_loe.entity.FangornElk;
+import com.zivilon.cinder_loe.entity.npc.FangornElk;
 
 public class RenderFangornElk extends RenderLiving {
   private static LOTRRandomSkins elkSkins;
diff --git a/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornWolf.java b/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornWolf.java
index 05153c4..454233e 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornWolf.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/render/RenderFangornWolf.java
@@ -1,15 +1,10 @@
 package com.zivilon.cinder_loe.client.render;
 
-import lotr.common.entity.npc.LOTRNPCMount;
-import lotr.client.render.entity.LOTRRenderHorse;
-
 import net.minecraft.client.model.ModelBase;
 import net.minecraft.client.renderer.entity.RenderLiving;
 import net.minecraft.entity.Entity;
-import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.util.ResourceLocation;
 
-import com.zivilon.cinder_loe.entity.FangornWolf;
 import com.zivilon.cinder_loe.client.model.ModelFangornWolf;
 
 public class RenderFangornWolf extends RenderLiving {
diff --git a/src/main/java/com/zivilon/cinder_loe/client/render/RenderLimwaith.java b/src/main/java/com/zivilon/cinder_loe/client/render/RenderLimwaith.java
index 783c0e5..75d923b 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/render/RenderLimwaith.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/render/RenderLimwaith.java
@@ -4,7 +4,6 @@ import lotr.client.model.LOTRModelHuman;
 import lotr.client.render.entity.LOTRRenderBiped;
 import lotr.client.render.entity.LOTRRandomSkins;
 import lotr.common.entity.LOTRRandomSkinEntity;
-import lotr.common.entity.npc.LOTREntityMoredain;
 import lotr.common.entity.npc.LOTREntityNPC;
 import net.minecraft.client.model.ModelBase;
 import net.minecraft.client.model.ModelBiped;
@@ -12,7 +11,7 @@ import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLiving;
 import net.minecraft.util.ResourceLocation;
 
-import com.zivilon.cinder_loe.entity.Limwaith;
+import com.zivilon.cinder_loe.entity.npc.Limwaith;
 
 public class RenderLimwaith extends LOTRRenderBiped {
     public static LOTRRandomSkins skinsMale;
diff --git a/src/main/java/com/zivilon/cinder_loe/client/render/RenderLimwaithShaman.java b/src/main/java/com/zivilon/cinder_loe/client/render/RenderLimwaithShaman.java
index 8968d03..6efa0d2 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/render/RenderLimwaithShaman.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/render/RenderLimwaithShaman.java
@@ -1,16 +1,9 @@
 package com.zivilon.cinder_loe.client.render;
 
-import com.zivilon.cinder_loe.entity.Limwaith;
-import lotr.client.model.LOTRModelHuman;
+import com.zivilon.cinder_loe.entity.npc.Limwaith;
 import lotr.client.render.entity.LOTRRandomSkins;
-import lotr.client.render.entity.LOTRRenderBiped;
-import lotr.common.entity.LOTRRandomSkinEntity;
-import lotr.common.entity.npc.LOTREntityNPC;
 import net.minecraft.client.model.ModelBase;
-import net.minecraft.client.model.ModelBiped;
-import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLiving;
-import net.minecraft.util.ResourceLocation;
 
 public class RenderLimwaithShaman extends RenderLimwaith {
     private static LOTRRandomSkins outfits;
diff --git a/src/main/java/com/zivilon/cinder_loe/client/render/block/Renderverticalweaponrack.java b/src/main/java/com/zivilon/cinder_loe/client/render/block/Renderverticalweaponrack.java
new file mode 100644
index 0000000..dcbc34e
--- /dev/null
+++ b/src/main/java/com/zivilon/cinder_loe/client/render/block/Renderverticalweaponrack.java
@@ -0,0 +1,144 @@
+package com.zivilon.cinder_loe.client.render.block;
+
+import com.zivilon.cinder_loe.client.model.Modelverticalweaponrack;
+import com.zivilon.cinder_loe.tileentity.TileEntityMistBlock;
+import lotr.client.model.LOTRModelWeaponRack;
+import lotr.client.render.item.LOTRRenderBow;
+import lotr.common.tileentity.LOTRTileEntityWeaponRack;
+import net.minecraft.client.Minecraft;
+import net.minecraft.client.gui.FontRenderer;
+import net.minecraft.client.renderer.OpenGlHelper;
+import net.minecraft.client.renderer.Tessellator;
+import net.minecraft.client.renderer.entity.RenderManager;
+import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
+import net.minecraft.item.ItemStack;
+import net.minecraft.tileentity.TileEntity;
+import net.minecraft.util.MovingObjectPosition;
+import net.minecraft.util.ResourceLocation;
+import net.minecraftforge.client.IItemRenderer;
+import org.lwjgl.opengl.GL11;
+
+public class Renderverticalweaponrack extends TileEntitySpecialRenderer {
+    private static ResourceLocation rackTexture = new ResourceLocation("lotr:item/verticalweaponRack.png");
+    private static Modelverticalweaponrack rackModel = new Modelverticalweaponrack();
+    public void renderTileEntityAt(TileEntity tileentity, double d, double d1, double d2, float f) {
+        LOTRTileEntityWeaponRack weaponRack = (LOTRTileEntityWeaponRack)tileentity;
+        GL11.glPushMatrix();
+        GL11.glDisable((int)2884);
+        GL11.glEnable((int)32826);
+        GL11.glEnable((int)3008);
+        GL11.glTranslatef((float)((float)d + 0.5f), (float)((float)d1 + 1.5f), (float)((float)d2 + 0.5f));
+        int meta = weaponRack.getBlockMetadata();
+        int dir = meta & 3;
+        boolean wall = (meta & 4) != 0;
+        switch (dir) {
+            case 0: {
+                GL11.glRotatef((float)0.0f, (float)0.0f, (float)1.0f, (float)0.0f);
+                break;
+            }
+            case 1: {
+                GL11.glRotatef((float)270.0f, (float)0.0f, (float)1.0f, (float)0.0f);
+                break;
+            }
+            case 2: {
+                GL11.glRotatef((float)180.0f, (float)0.0f, (float)1.0f, (float)0.0f);
+                break;
+            }
+            case 3: {
+                GL11.glRotatef((float)90.0f, (float)0.0f, (float)1.0f, (float)0.0f);
+            }
+        }
+        if (wall) {
+            GL11.glTranslatef((float)0.0f, (float)0.375f, (float)-0.5f);
+        }
+        GL11.glScalef((float)-1.0f, (float)-1.0f, (float)1.0f);
+        float scale = 0.0625f;
+        this.bindTexture(rackTexture);
+        Renderverticalweaponrack.rackModel.onWall = wall;
+        rackModel.render(null, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, scale);
+        ItemStack weaponItem = weaponRack.getWeaponItem();
+        if (weaponItem != null) {
+            float weaponScale = 0.625f;
+            GL11.glScalef((float)weaponScale, (float)weaponScale, (float)weaponScale);
+            GL11.glScalef((float)-1.0f, (float)1.0f, (float)1.0f);
+            GL11.glTranslatef((float)0.0f, (float)0.52f, (float)0.0f);
+            if (wall) {
+                GL11.glTranslatef((float)0.0f, (float)1.1f, (float)0.51f);
+            }
+            GL11.glRotatef((float)45.0f, (float)0.0f, (float)0.0f, (float)1.0f);
+            GL11.glTranslatef((float)0.9375f, (float)0.0625f, (float)0.0f);
+            GL11.glRotatef((float)-335.0f, (float)0.0f, (float)0.0f, (float)1.0f);
+            GL11.glRotatef((float)-50.0f, (float)0.0f, (float)1.0f, (float)0.0f);
+            GL11.glScalef((float)0.6666667f, (float)0.6666667f, (float)0.6666667f);
+            GL11.glTranslatef((float)0.0f, (float)0.3f, (float)0.0f);
+            RenderManager renderManager = RenderManager.instance;
+            int passes = 1;
+            if (weaponItem.getItem().requiresMultipleRenderPasses()) {
+                passes = weaponItem.getItem().getRenderPasses(weaponItem.getItemDamage());
+            }
+            LOTRRenderBow.renderingWeaponRack = true;
+            for (int pass = 0; pass < passes; ++pass) {
+                int color = weaponItem.getItem().getColorFromItemStack(weaponItem, pass);
+                float r = (float)(color >> 16 & 0xFF) / 255.0f;
+                float g = (float)(color >> 8 & 0xFF) / 255.0f;
+                float b = (float)(color & 0xFF) / 255.0f;
+                GL11.glColor4f((float)r, (float)g, (float)b, (float)1.0f);
+                renderManager.itemRenderer.renderItem(weaponRack.getEntityForRender(), weaponItem, 0, IItemRenderer.ItemRenderType.EQUIPPED);
+            }
+            LOTRRenderBow.renderingWeaponRack = false;
+        }
+        GL11.glEnable((int)2884);
+        GL11.glDisable((int)32826);
+        GL11.glPopMatrix();
+        this.renderWeaponName(weaponRack, d + 0.5, d1 + 0.75, d2 + 0.5);
+    }
+
+    private void renderWeaponName(LOTRTileEntityWeaponRack rack, double d, double d1, double d2) {
+        MovingObjectPosition mop = Minecraft.getMinecraft().objectMouseOver;
+        if (mop != null && mop.typeOfHit == MovingObjectPosition.MovingObjectType.BLOCK && mop.blockX == rack.xCoord && mop.blockY == rack.yCoord && mop.blockZ == rack.zCoord) {
+            ItemStack weaponItem = rack.getWeaponItem();
+            if (Minecraft.isGuiEnabled() && weaponItem != null && weaponItem.hasDisplayName()) {
+                float f2;
+                RenderManager renderManager = RenderManager.instance;
+                FontRenderer fontRenderer = this.func_147498_b();
+                float f = 1.6f;
+                float f1 = 0.016666668f * f;
+                double dSq = renderManager.livingPlayer.getDistanceSq((double)rack.xCoord + 0.5, (double)rack.yCoord + 0.5, (double)rack.zCoord);
+                if (dSq < (double)((f2 = 64.0f) * f2)) {
+                    String name = weaponItem.getDisplayName();
+                    GL11.glPushMatrix();
+                    GL11.glTranslatef((float)((float)d), (float)((float)d1 + 0.5f), (float)((float)d2));
+                    GL11.glNormal3f((float)0.0f, (float)1.0f, (float)0.0f);
+                    GL11.glRotatef((float)(-renderManager.playerViewY), (float)0.0f, (float)1.0f, (float)0.0f);
+                    GL11.glRotatef((float)renderManager.playerViewX, (float)1.0f, (float)0.0f, (float)0.0f);
+                    GL11.glScalef((float)(-f1), (float)(-f1), (float)f1);
+                    GL11.glDisable((int)2896);
+                    GL11.glDepthMask((boolean)false);
+                    GL11.glDisable((int)2929);
+                    GL11.glEnable((int)3042);
+                    OpenGlHelper.glBlendFunc((int)770, (int)771, (int)1, (int)0);
+                    Tessellator tessellator = Tessellator.instance;
+                    int b0 = 0;
+                    GL11.glDisable((int)3553);
+                    tessellator.startDrawingQuads();
+                    int j = fontRenderer.getStringWidth(name) / 2;
+                    tessellator.setColorRGBA_F(0.0f, 0.0f, 0.0f, 0.25f);
+                    tessellator.addVertex((double)(-j - 1), (double)(-1 + b0), 0.0);
+                    tessellator.addVertex((double)(-j - 1), (double)(8 + b0), 0.0);
+                    tessellator.addVertex((double)(j + 1), (double)(8 + b0), 0.0);
+                    tessellator.addVertex((double)(j + 1), (double)(-1 + b0), 0.0);
+                    tessellator.draw();
+                    GL11.glEnable((int)3553);
+                    fontRenderer.drawString(name, -fontRenderer.getStringWidth(name) / 2, b0, 0x20FFFFFF);
+                    GL11.glEnable((int)2929);
+                    GL11.glDepthMask((boolean)true);
+                    fontRenderer.drawString(name, -fontRenderer.getStringWidth(name) / 2, b0, -1);
+                    GL11.glEnable((int)2896);
+                    GL11.glDisable((int)3042);
+                    GL11.glColor4f((float)1.0f, (float)1.0f, (float)1.0f, (float)1.0f);
+                    GL11.glPopMatrix();
+                }
+            }
+        }
+    }
+}
diff --git a/src/main/java/com/zivilon/cinder_loe/coremod/LOTRBannerAdder.java b/src/main/java/com/zivilon/cinder_loe/coremod/LOTRBannerAdder.java
index e158c8d..55d227f 100644
--- a/src/main/java/com/zivilon/cinder_loe/coremod/LOTRBannerAdder.java
+++ b/src/main/java/com/zivilon/cinder_loe/coremod/LOTRBannerAdder.java
@@ -26,6 +26,10 @@ public class LOTRBannerAdder implements IClassTransformer {
         custom_banners = new ArrayList<>();
         // Arguments: enum name, texture name, ID, faction name
         register("RED_DWARF", "redDwarf", 42, "DURINS_FOLK");
+        register("LIMWAITH", "limwaith", 43, "MORWAITH");
+        register("RED", "red", 44, "GONDOR");
+        register("BLUE", "blue", 45, "GONDOR");
+        register("GREEN", "green", 46, "GONDOR");
 //        register("TEST", "test", 43, "GONDOR");
     }
 
diff --git a/src/main/java/com/zivilon/cinder_loe/coremod/LOTRWeaponLinker.java b/src/main/java/com/zivilon/cinder_loe/coremod/LOTRWeaponLinker.java
index 4c95630..7df320c 100644
--- a/src/main/java/com/zivilon/cinder_loe/coremod/LOTRWeaponLinker.java
+++ b/src/main/java/com/zivilon/cinder_loe/coremod/LOTRWeaponLinker.java
@@ -22,7 +22,7 @@ public class LOTRWeaponLinker implements IClassTransformer {
                 "spearRedDwarf", "crossbowRedDwarf", "swordRedDwarf", "battleaxeRedDwarf", "pikeRedDwarf", "daggerRedDwarf", "daggerRedDwarfPoisoned", "hammerRedDwarf",
                 "radagastStaff", "alatarStaff", "pallandoStaff", "sarumanStaff",
                 "spearLimwaith", "tridentLimwaith", "daggerLimwaith", "daggerLimwaithPoisoned", "truncheonLimwaith", "battleaxeLimwaith", "blowgunLimwaith",
-                "frostblade", "spearsolidgold", "whip",
+                "frostblade", "spearsolidgold", "whip", "spearUnnamed",
                 "swordBree",
                 "maceArnor",
                 "daggerAsh","bowAsh","hammerAsh","pikeAsh","battleaxeAsh","swordAsh","spearAsh", "staffAsh");
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/DarkSpider.java b/src/main/java/com/zivilon/cinder_loe/entity/DarkSpider.java
new file mode 100644
index 0000000..2a0ceed
--- /dev/null
+++ b/src/main/java/com/zivilon/cinder_loe/entity/DarkSpider.java
@@ -0,0 +1,90 @@
+package com.zivilon.cinder_loe.entity;
+
+import com.zivilon.cinder_loe.CinderLoE;
+import lotr.common.LOTRFoods;
+import lotr.common.LOTRMod;
+import lotr.common.entity.ai.*;
+import lotr.common.entity.animal.LOTREntityHorse;
+import lotr.common.entity.npc.*;
+import lotr.common.fac.LOTRFaction;
+import net.minecraft.entity.Entity;
+import net.minecraft.entity.EntityLiving;
+import net.minecraft.entity.EntityLivingBase;
+import net.minecraft.entity.SharedMonsterAttributes;
+import net.minecraft.entity.ai.*;
+import net.minecraft.entity.player.EntityPlayer;
+import net.minecraft.init.Items;
+import net.minecraft.item.ItemStack;
+import net.minecraft.potion.Potion;
+import net.minecraft.potion.PotionEffect;
+import net.minecraft.util.DamageSource;
+import net.minecraft.util.MovingObjectPosition;
+import net.minecraft.util.StatCollector;
+import net.minecraft.world.World;
+
+import java.util.Arrays;
+import java.util.List;
+
+public class DarkSpider extends LOTREntitySpiderBase {
+    public static int VENOM_DARK = 3;
+    public DarkSpider(World world) {
+        super(world);
+    }
+    @Override
+    protected int getRandomSpiderScale() {
+        return this.rand.nextInt(4);
+    }
+    @Override
+    protected int getRandomSpiderType() {
+        return VENOM_DARK;
+    }
+    @Override
+    public LOTRFaction getFaction() {
+        return LOTRFaction.UTUMNO;
+    }
+
+    @Override
+    public boolean attackEntityAsMob(Entity entity) {
+        if (super.attackEntityAsMob(entity)) {
+            if (entity instanceof EntityLivingBase) {
+                ((EntityLivingBase) entity).addPotionEffect(new PotionEffect(Potion.blindness.id, 200, 0));
+            }
+            return true;
+        }
+        return false;
+    }
+    @Override
+    protected boolean canRideSpider() {
+        return false;
+    }
+    @Override
+    public void attackEntityWithRangedAttack(EntityLivingBase p_82196_1_, float p_82196_2_) {
+    }
+    @Override
+    public boolean attackEntityFrom(DamageSource source, float amount) {
+        if (source.getEntity() instanceof  EntityLivingBase) {
+            EntityLivingBase attacker = (EntityLivingBase) source.getEntity();
+            if (attacker instanceof  EntityPlayer) {
+                EntityPlayer player = (EntityPlayer) attacker;
+                if (this.getSpiderScale() > 4 && this.rand.nextDouble() < 0.5) {
+                    spawnDarkSpiders(player);
+                }
+            }
+        }
+        return super.attackEntityFrom(source, amount);
+    }
+    private void spawnDarkSpiders(EntityPlayer player) {
+        World world = player.worldObj;
+        for (int i = 0; i < 10; i++) {
+            DarkSpider babySpider = new DarkSpider(world);
+            babySpider.setLocationAndAngles(player.posX, player.posY, player.posZ, player.rotationYaw, 0.0F);
+            babySpider.setSpiderScale(0);
+            babySpider.setHealth(10);
+            world.spawnEntityInWorld(babySpider);
+        }
+    }
+    @Override
+    public ItemStack getPickedResult(MovingObjectPosition target) {
+        return null;
+    }
+}
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/SpeechBankModifier.java b/src/main/java/com/zivilon/cinder_loe/entity/SpeechBankModifier.java
index 30386ed..41e8133 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/SpeechBankModifier.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/SpeechBankModifier.java
@@ -77,6 +77,8 @@ public class SpeechBankModifier {
         speechBanks.put("arnorSoldier/soldier/friendly", loadSpeechLines("arnorSoldier/soldier/friendly"));
         speechBanks.put("arnorSoldier/soldier/hired", loadSpeechLines("arnorSoldier/soldier/hired"));
         speechBanks.put("arnorSoldier/soldier/hostile", loadSpeechLines("arnorSoldier/soldier/hostile"));
+        speechBanks.put("corruptSpeak/all/neutral", loadSpeechLines("corruptSpeak/all/neutral"));
+        speechBanks.put("corruptSpeak/all/hostile", loadSpeechLines("corruptSpeak/all/hostile"));
         return speechBanks;
     }
 
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptDwarf.java b/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptDwarf.java
index 93b24db..23547e9 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptDwarf.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptDwarf.java
@@ -56,8 +56,8 @@ public class CorruptDwarf extends LOTREntityDwarf {
     @Override
     public String getSpeechBank(EntityPlayer entityplayer) {
         if (this.isFriendlyAndAligned(entityplayer)) {
-            return "corrupt/neutral";
+            return "corruptSpeak/all/neutral";
         }
-        return "corrupt/hostile";
+        return "corruptSpeak/all/hostile";
     }
 }
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptElf.java b/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptElf.java
index a8c6dc7..765578f 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptElf.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptElf.java
@@ -86,9 +86,9 @@ public class CorruptElf  extends LOTREntityElf {
     @Override
     public String getSpeechBank(EntityPlayer entityplayer) {
         if (this.isFriendlyAndAligned(entityplayer)) {
-            return "corrupt/neutral";
+            return "corruptSpeak/all/neutral";
         }
-        return "corrupt/hostile";
+        return "corruptSpeak/all/hostile";
     }
 
     @Override
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptHobbit.java b/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptHobbit.java
index f7dbbab..36021e6 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptHobbit.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptHobbit.java
@@ -81,9 +81,9 @@ public class CorruptHobbit extends LOTREntityHobbitBounder {
     @Override
     public String getSpeechBank(EntityPlayer entityplayer) {
         if (this.isFriendlyAndAligned(entityplayer)) {
-            return "corrupt/neutral";
+            return "corruptSpeak/all/neutral";
         }
-        return "corrupt/hostile";
+        return "corruptSpeak/all/hostile";
     }
     @Override
     protected void dropFewItems(boolean flag, int i) {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptMan.java b/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptMan.java
index f3ac4a0..a61ff5b 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptMan.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptMan.java
@@ -86,9 +86,9 @@ public class CorruptMan extends LOTREntityGondorMan {
     @Override
     public String getSpeechBank(EntityPlayer entityplayer) {
         if (this.isFriendlyAndAligned(entityplayer)) {
-            return "corrupt/neutral";
+            return "corruptSpeak/all/neutral";
         }
-        return "corrupt/hostile";
+        return "corruptSpeak/all/hostile";
     }
     @Override
     public LOTRMiniQuest createMiniQuest() {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptOrc.java b/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptOrc.java
index 2b7e6a0..6c973fb 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptOrc.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/corrupt/CorruptOrc.java
@@ -63,9 +63,9 @@ public class CorruptOrc extends LOTREntityOrc {
     @Override
     public String getSpeechBank(EntityPlayer entityplayer) {
         if (this.isFriendlyAndAligned(entityplayer)) {
-            return "corrupt/neutral";
+            return "corruptSpeak/all/neutral";
         }
-        return "corrupt/hostile";
+        return "corruptSpeak/all/hostile";
     }
     @Override
     public float getAlignmentBonus() {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/ArnorBannerBearer.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorBannerBearer.java
similarity index 94%
rename from src/main/java/com/zivilon/cinder_loe/entity/ArnorBannerBearer.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorBannerBearer.java
index bd73ba8..e0b7f95 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/ArnorBannerBearer.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorBannerBearer.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.entity.npc.LOTRBannerBearer;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/ArnorCaptain.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorCaptain.java
similarity index 96%
rename from src/main/java/com/zivilon/cinder_loe/entity/ArnorCaptain.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorCaptain.java
index 7f892f0..d21019a 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/ArnorCaptain.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorCaptain.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.LOTRCapes;
@@ -7,7 +7,6 @@ import lotr.common.LOTRMod;
 import lotr.common.entity.npc.LOTRUnitTradeEntries;
 import lotr.common.entity.npc.LOTRUnitTradeable;
 import lotr.common.world.spawning.LOTRInvasions;
-import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.entity.IEntityLivingData;
 import net.minecraft.entity.player.EntityPlayer;
 import net.minecraft.item.ItemStack;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/ArnorSoldier.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorSoldier.java
similarity index 98%
rename from src/main/java/com/zivilon/cinder_loe/entity/ArnorSoldier.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorSoldier.java
index e9aeda5..5dc2415 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/ArnorSoldier.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorSoldier.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.entity.ai.LOTREntityAIAttackOnCollide;
 import lotr.common.entity.npc.LOTREntityDunedain;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/ArnorSoldierArcher.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorSoldierArcher.java
similarity index 81%
rename from src/main/java/com/zivilon/cinder_loe/entity/ArnorSoldierArcher.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorSoldierArcher.java
index 91f964a..be47169 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/ArnorSoldierArcher.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/ArnorSoldierArcher.java
@@ -1,18 +1,11 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
-import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.LOTRMod;
-import lotr.common.LOTRShields;
 import lotr.common.entity.ai.LOTREntityAIRangedAttack;
 import lotr.common.entity.npc.LOTREntityNPC;
-import lotr.common.entity.projectile.LOTREntityDart;
-import lotr.common.item.LOTRItemBlowgun;
-import lotr.common.item.LOTRItemDart;
 import net.minecraft.entity.*;
 import net.minecraft.entity.ai.EntityAIBase;
-import net.minecraft.entity.ai.EntityAISwimming;
 import net.minecraft.item.ItemStack;
-import net.minecraft.util.MovingObjectPosition;
 import net.minecraft.world.World;
 
 public class ArnorSoldierArcher extends ArnorSoldier {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/BattleNun.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/BattleNun.java
similarity index 83%
rename from src/main/java/com/zivilon/cinder_loe/entity/BattleNun.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/BattleNun.java
index 6b767bd..b50d298 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/BattleNun.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/BattleNun.java
@@ -1,15 +1,9 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import com.zivilon.cinder_loe.CinderLoE;
-import lotr.common.LOTRAchievement;
-import lotr.common.LOTRShields;
-import lotr.common.entity.npc.LOTREntityDunedain;
-import lotr.common.entity.npc.LOTREntityMoredain;
-import lotr.common.entity.npc.LOTRNPCMount;
 import lotr.common.quest.LOTRMiniQuest;
 import lotr.common.quest.LOTRMiniQuestFactory;
 import net.minecraft.entity.IEntityLivingData;
-import net.minecraft.entity.player.EntityPlayer;
 import net.minecraft.item.ItemStack;
 import net.minecraft.world.World;
 
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/BreeCaptain.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/BreeCaptain.java
similarity index 98%
rename from src/main/java/com/zivilon/cinder_loe/entity/BreeCaptain.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/BreeCaptain.java
index 1d4239e..8788ced 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/BreeCaptain.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/BreeCaptain.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.LOTRAchievement;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/BreeCrossbowman.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/BreeCrossbowman.java
similarity index 89%
rename from src/main/java/com/zivilon/cinder_loe/entity/BreeCrossbowman.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/BreeCrossbowman.java
index 6f6af37..74ed3b3 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/BreeCrossbowman.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/BreeCrossbowman.java
@@ -1,8 +1,6 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
-import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.LOTRMod;
-import lotr.common.entity.ai.LOTREntityAIAttackOnCollide;
 import lotr.common.entity.ai.LOTREntityAIRangedAttack;
 import lotr.common.entity.npc.LOTREntityNPC;
 import net.minecraft.entity.EntityLiving;
@@ -10,7 +8,6 @@ import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.entity.IEntityLivingData;
 import net.minecraft.entity.ai.EntityAIBase;
 import net.minecraft.item.ItemStack;
-import net.minecraft.util.MovingObjectPosition;
 import net.minecraft.world.World;
 
 public class BreeCrossbowman extends BreeSoldier {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/BreeOutrider.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/BreeOutrider.java
similarity index 99%
rename from src/main/java/com/zivilon/cinder_loe/entity/BreeOutrider.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/BreeOutrider.java
index 412c90b..bc162bc 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/BreeOutrider.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/BreeOutrider.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.*;
